SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   LibreOffice Vendors:   libreoffice.org
(Oracle Issues Fix for Oracle Linux) LibreOffice Calc and Writer Embedded Object Preview Flaw Lets Remote Users Obtain Potentially Sensitive Information on the Target System
SecurityTracker Alert ID:  1038269
SecurityTracker URL:  http://securitytracker.com/id/1038269
CVE Reference:   CVE-2017-3157   (Links to External Site)
Date:  Apr 14 2017
Impact:   Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in LibreOffice Calc and Writer. A remote user can obtain potentially sensitive information on the target system.

A remote user can create a document containing a specially crafted embedded object that links to a file on the target user's system. When the document is opened and subsequently saved by the target user, the document may contain preview contents from the linked file in hidden sections.

For systems using LibreOffice as an online service, the preview contents from the linked file may be disclosed to remote users.

Ben Hayak reported this vulnerability.

Impact:   A remote user can obtain potentially sensitive information on the target system.
Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2017-0914.html

Vendor URL:  linux.oracle.com/errata/ELSA-2017-0914.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Feb 23 2017 LibreOffice Calc and Writer Embedded Object Preview Flaw Lets Remote Users Obtain Potentially Sensitive Information on the Target System



 Source Message Contents

Date:  Wed, 12 Apr 2017 18:04:14 -0700
Subject:  [El-errata] ELSA-2017-0914 Moderate: Oracle Linux 7 libreoffice security and bug fix update

Oracle Linux Security Advisory ELSA-2017-0914

http://linux.oracle.com/errata/ELSA-2017-0914.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
autocorr-af-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-bg-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-ca-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-cs-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-da-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-de-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-en-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-es-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-fa-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-fi-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-fr-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-ga-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-hr-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-hu-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-is-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-it-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-ja-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-ko-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-lb-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-lt-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-mn-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-nl-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-pl-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-pt-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-ro-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-ru-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-sk-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-sl-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-sr-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-sv-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-tr-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-vi-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
autocorr-zh-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
libreoffice-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-base-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-bsh-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-calc-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-core-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-draw-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-emailmerge-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-filters-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-gdb-debug-support-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-glade-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-graphicfilter-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-impress-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-af-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ar-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-as-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-bg-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-bn-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-br-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ca-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-cs-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-cy-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-da-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-de-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-dz-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-el-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-en-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-es-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-et-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-eu-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-fa-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-fi-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-fr-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ga-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-gl-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-gu-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-he-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-hi-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-hr-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-hu-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-it-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ja-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-kk-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-kn-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ko-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-lt-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-lv-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-mai-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ml-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-mr-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-nb-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-nl-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-nn-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-nr-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-nso-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-or-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-pa-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-pl-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-pt-BR-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-pt-PT-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ro-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ru-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-si-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-sk-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-sl-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-sr-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ss-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-st-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-sv-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ta-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-te-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-th-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-tn-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-tr-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ts-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-uk-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-ve-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-xh-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-zh-Hans-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-zh-Hant-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-langpack-zu-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-librelogo-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-math-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-nlpsolver-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-officebean-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-ogltrans-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-opensymbol-fonts-5.0.6.2-5.0.1.el7_3.1.noarch.rpm
libreoffice-pdfimport-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-postgresql-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-pyuno-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-rhino-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-sdk-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-sdk-doc-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-ure-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-wiki-publisher-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-writer-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm
libreoffice-xsltfilter-5.0.6.2-5.0.1.el7_3.1.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/libreoffice-5.0.6.2-5.0.1.el7_3.1.src.rpm



Description of changes:

[1:5.0.6.2-5.0.1.1]
- Replaced RedHat colors with Oracle colors, and the filename redhat.soc 
with oracle.soc in specfile
- Build with --with-vendor="Oracle America, Inc."

[1:5.0.6.2-5.1]
- Resolves: rhbz#1435534 CVE-2017-3157 Arbitrary file disclosure in Calc and
   Writer

[1:5.0.6.2-5]
- Resolves: rhbz#1426348 Encrypted files opening as plain text after
   cancelling password dialog

[1:5.0.6.2-4]
- Resolves: rhbz#1425535 crash in calc on exit after using csv dialog 
with a11y enabled
- Resolves: rhbz#1425536 crash in calc on closing dialog with a11y enabled

[1:5.0.6.2-3]
- Resolves: rhbz#1364335 tooltips are truncated

[1:5.0.6.2-2]
- Resolves: rhbz#1353839 CVE-2016-4324 dereference of invalid STL 
iterator on
   processing RTF file

[1:5.0.6.2-1]
- Related: rhbz#1290148 rebase to 5.0.6
- Related: rhbz#1290148 include more fixes from F-23

[1:5.0.5.2-2]
- Related: rhbz#1290148 remove unintentional dependency of 
libreoffice-core on
   libreoffice-calc
- Related: rhbz#1290148 restore lost changelog entry
- Related: rhbz#1290148 add additional 5.0.6 patches

[1:5.0.5.2-1]
- Resolves: rhbz#1290148 rebase to 5.0.x


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC